#!/bin/bash

## NB first line
# possible script loaders
#!/cygdrive/c/cygmin/bin/bash
#!/cygdrive/c/sonic/win32/cygmin/bin/bash
#!/bin/bash

# sonic-config.sh
#
# this shell script runs sonic-config.php, a small yet essential program
# that when run tests the sanity of SONICs working eviroment. *EDIT* the
# paths below so sonic-config.php is able to run and provide a working
# framework to all other core SONIC programs.
# 

#export SONIC_PREFIX="/path/to/sonic/install"
#export SONIC_PREFIX="/cygdrive/c/sonic"
#export SONIC_PREFIX="."
export SONIC_LIB="/usr/lib/sonic/lib"
export SONIC_LIBEXEC="/usr/lib/sonic/libexec"
export SONIC_ETC="/etc/sonic/conf"

#export SONIC_PHP_EXE="/location/to/php.executable"
#export SONIC_PHP_EXE="$SONIC_PREFIX/win32/cygmin/bin/php"
#export SONIC_PHP_EXE="/cygdrive/c/cygmin/bin/php"
#export SONIC_PHP_EXE="/usr/bin/php"
export SONIC_PHP_EXE="/usr/lib/sonic/win32/cygmin/bin/php"

#export SONIC_PHP_INI="$SONIC_PREFIX/win32/cygmin/lib"
#export SONIC_PHP_INI="/cygdrive/c/cygmin/lib"
#export SONIC_PHP_INI="/etc"
export SONIC_PHP_INI="/usr/lib/sonic/win32/cygmin/lib"
#export SONIC_PHP_EXT="$SONIC_PHP_INI/ext"

#export SONIC_PHP_OPT="-c $SONIC_PHP_INI -d extension_dir=$SONIC_PHP_EXT -d extension=php_curl -d extension=php_sockets"
#export SONIC_PHP_OPT="-d extension_dir=$SONIC_PHP_EXT -d extension=php_curl -d extension=php_sockets"
export SONIC_PHP_OPT="-c $SONIC_PHP_INI"
#export SONIC_PHP_OPT=

#export PATH="$PATH:$SONIC_PREFIX/win32/cygmin/bin"
#export PATH="$PATH:/cygdrive/c/cygmin/bin"
export PATH="$PATH:/usr/lib/sonic/win32/cygmin/bin"

        ### D O : N O T : E D I T : B E L O W : H E R E ###

if [ -d "$SONIC_LIBEXEC" ] ; then 
  echo -n ""; 
else
  echo Error: Cant locate the SONIC executable directory
  exit
fi

if [ -f "$SONIC_LIB/sonic.inc" ] ; then 
  echo -n "";
else
  echo Error: Could not find "sonic.inc"
  exit
fi

if [ -f "$SONIC_LIBEXEC/sonic-config.php" ] ; then
  echo -n "";
else
  echo Error: Could not find "sonic-config.php"
  exit
fi

if [ -f "$SONIC_PHP_EXE" ] ; then 
  echo -n "";
else
  echo Error: PHP executable not found
  exit
fi

$SONIC_PHP_EXE $SONIC_PHP_OPT -q -d max_execution_time=0 "$SONIC_LIBEXEC/sonic-config.php" $@
